-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--          http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.
local c_object = require 'mc.orm.object'

local orm_classes = {}

function orm_classes.init(db)
    orm_classes.CpldSpaceTest = c_object('CpldSpaceTest')
    orm_classes.CpldValidating = c_object('CpldValidating')
    orm_classes.SecurityModule = c_object('SecurityModule')
    orm_classes.DPUCard = c_object('DPUCard')
    orm_classes.FwUpdateCfgTable = c_object('FwUpdateCfgTable')
    orm_classes.SystemInfoList = c_object('SystemInfoList')
    orm_classes.CustomizeSign = c_object('CustomizeSign')
end

return orm_classes
